<solidify-base-action-dialog [titleToTranslate]="'deposit.fileArchive.modal.title.main' | translate">
  <h2 class="metadata-title">{{labelTranslateEnum.metadata | translate}}</h2>
  <form [formGroup]="form">
    <mat-form-field *ngIf="getFormControl(formDefinition.dataCategory) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.dataCategory | translate}}</mat-label>
      <mat-select [disabled]="data?.dataCategoryEnum | isNotNullNorUndefined"
                  [solidifyDataTest]="dataTestEnum.depositDataCategory"
                  [formControl]="fd"
      >
        <mat-option *ngFor="let dataCategory of (listDataCategoriesObs | async)"
                    [value]="dataCategory"
                    solidifyTooltipOnEllipsis
        >
          {{enumUtil.getLabel(enumsDataFile.DataCategoryEnumTranslate, dataCategory) | translate}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.dataType) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.dataType | translate}}</mat-label>
      <mat-select [disabled]="data?.dataCategoryEnum | isNotNullNorUndefined"
                  [solidifyDataTest]="dataTestEnum.depositDataType"
                  [formControl]="fd"
      >
        <mat-option *ngFor="let dataType of (listDataTypesObs | async)"
                    [value]="dataType"
                    solidifyTooltipOnEllipsis
        >
          {{enumUtil.getLabel(enumsDataFile.DataTypeEnumTranslate, dataType) | translate}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <ng-template [ngIf]="getFormControl(formDefinition.dataType).value === dataTypeEnum.CUSTOM_METADATA">
      <solidify-searchable-single-select *ngIf="getFormControl(formDefinition.metadataType) as fd"
                                         [formControl]="fd"
                                         [labelCallback]="metadataTypeLabelCallback"
                                         [labelKey]="'name'"
                                         [placeholder]="labelTranslateEnum.metadataType | translate"
                                         [required]="formValidationHelper.hasRequiredField(fd)"
                                         [resourceNameSpace]="depositDataFileMetadataTypeActionNameSpace"
                                         [state]="depositDataFileMetadataTypeState"
                                         [valueKey]="'resId'"
                                         solidifyValidation
      >
      </solidify-searchable-single-select>
    </ng-template>
  </form>

  <div solidifyFileDropZone
       [solidifyFileDropZoneExtensions]="['zip']"
       (fileDropped)="dropFile($event)"
  >
    <h2>{{labelTranslateEnum.fileToUpload | translate}}</h2>
    <mat-accordion>
      <mat-expansion-panel *ngIf="archiveToUpload">
        <mat-expansion-panel-header>
          <mat-panel-title class="file-title-header">
            <span class="file-name"
                  [class.is-in-error]="isFileNameInvalid()"
            >{{archiveToUpload.name}}</span>
            <button (click)="delete(archiveToUpload)"
                    (onEnter)="delete(archiveToUpload)"
                    [matTooltipPosition]="'left'"
                    [matTooltip]="labelTranslateEnum.delete | translate"
                    class="trash"
                    mat-icon-button
                    solidifyShortCuts
                    type="button"
            >
              <solidify-icon [iconName]="iconNameEnum.delete"></solidify-icon>
            </button>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <ul>
          <li>
            <span class="label">{{labelTranslateEnum.type | translate}}</span>
            <span class="value">{{archiveToUpload.type}}</span>
          </li>
          <li>
            <span class="label">{{labelTranslateEnum.size | translate}}</span>
            <span class="value">{{archiveToUpload.size | filesize}}</span>
          </li>
          <li>
            <span class="label">{{labelTranslateEnum.updated | translate}}</span>
            <span class="value">{{getDate(archiveToUpload.lastModified) | date}}</span>
          </li>
        </ul>
      </mat-expansion-panel>
    </mat-accordion>

    <div *ngIf="isFileNameInvalid()"
         class="error-message"
    >{{labelTranslateEnum.listInvalidCharacter | translate}}
    </div>

    <div *ngIf="archiveToUpload | isNullOrUndefined"
         class="button-add-files-wrapper"
    >
      <button (click)="fileInput.click()"
              solidifyAlternativeButton
      >
        {{labelTranslateEnum.add | translate}}
        <input #fileInput
               (change)="onFileChange($any($event))"
               [autocomplete]="'off'"
               [name]="files"
               accept=".zip"
               class="hide"
               type="file"
        />
      </button>
    </div>
  </div>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          [solidifyAutoFocus]="true"
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          [disabled]="form.invalid || (archiveToUpload | isNullOrUndefined) || isFileNameInvalid()"
          color="primary"
          mat-flat-button
  >{{labelTranslateEnum.confirm | translate}}
  </button>
</div>

